%global npm_name assign-deep
%global enable_tests 1

Name: nodejs-%{npm_name}
Version: 0.4.7
Release: %mkrel 5
Summary: Deeply assign enumerable properties
License: MIT
Group: Development/Other
URL: https://github.com/jonschlinkert/assign-deep
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
Requires: npm(assign-symbols)
Requires: npm(is-primitive)
Requires: npm(kind-of)
BuildArch: noarch

%description
Deeply assign the enumerable properties and/or es6 Symbol properties of
source objects to the target (first) object.

%prep
%setup -q -n package

%nodejs_fixdep assign-symbols ">=1.0.0"
%nodejs_fixdep is-primitive ">=3.0.0"
%nodejs_fixdep kind-of ">=6.0.0"

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr index.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%endif

%files
%{nodejs_sitelib}/%{npm_name}
%license LICENSE
%doc README.md



%changelog
* Tue Mar 22 2022 umeabot <umeabot> 0.4.7-5.mga9
+ Revision: 1818366
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.4.7-4.mga8
+ Revision: 1502393
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.4.7-3.mga7
+ Revision: 1280156
- Mageia 7 Mass Rebuild

* Mon May 07 2018 kekepower <kekepower> 0.4.7-2.mga7
+ Revision: 1227315
- Fix nodejs dependencies

* Thu May 03 2018 kekepower <kekepower> 0.4.7-1.mga7
+ Revision: 1225826
- imported package nodejs-assign-deep

